<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Component Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d00/class_component.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Component Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Component:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/d00/class_component.png" usemap="#Component_map" alt=""/>
  <map id="Component_map" name="Component_map">
<area href="../../d9/d53/class_component_animal_bleeding.html" alt="ComponentAnimalBleeding" shape="rect" coords="0,56,167,80"/>
<area href="../../da/d30/class_component_body_staging.html" alt="ComponentBodyStaging" shape="rect" coords="177,56,344,80"/>
<area href="../../d6/de6/class_component_energy_manager.html" alt="ComponentEnergyManager" shape="rect" coords="354,56,521,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a789519192ed04a00ddd3696a4a1514db"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a789519192ed04a00ddd3696a4a1514db">Event_OnFrame</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="el" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> timeSlice)</td></tr>
<tr class="separator:a789519192ed04a00ddd3696a4a1514db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5562ea7f26c779ac3e172f26680f19d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#ad5562ea7f26c779ac3e172f26680f19d">DebugBBoxDraw</a> ()</td></tr>
<tr class="separator:ad5562ea7f26c779ac3e172f26680f19d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad98dfbb8e568e47addba3eceea7bc427"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#ad98dfbb8e568e47addba3eceea7bc427">DebugBBoxSetColor</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color)</td></tr>
<tr class="separator:ad98dfbb8e568e47addba3eceea7bc427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d9b21cf45deed622646e5bca66d8ead"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a4d9b21cf45deed622646e5bca66d8ead">DebugBBoxDelete</a> ()</td></tr>
<tr class="separator:a4d9b21cf45deed622646e5bca66d8ead"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ce6f8d36292057c76449c4ae23879ac"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a0ce6f8d36292057c76449c4ae23879ac">DebugDirectionDraw</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> distance=1)</td></tr>
<tr class="separator:a0ce6f8d36292057c76449c4ae23879ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a0ca6bb78612558e4bb815f96e9ea0b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a8a0ca6bb78612558e4bb815f96e9ea0b">DebugDirectionSetColor</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color)</td></tr>
<tr class="separator:a8a0ca6bb78612558e4bb815f96e9ea0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c26bd31eb4e6499f025004e4e436b8d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a4c26bd31eb4e6499f025004e4e436b8d">DebugDirectionDelete</a> ()</td></tr>
<tr class="separator:a4c26bd31eb4e6499f025004e4e436b8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29c4142d146a766f3a38071262e362be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a29c4142d146a766f3a38071262e362be">SetParentEntityAI</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> e)</td></tr>
<tr class="separator:a29c4142d146a766f3a38071262e362be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab471dd09761f1ae5c583894a24015e2f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#ab471dd09761f1ae5c583894a24015e2f">Event_OnAwake</a> ()</td></tr>
<tr class="separator:ab471dd09761f1ae5c583894a24015e2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c1e54baa02bbed08b12937b677668d2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a4c1e54baa02bbed08b12937b677668d2">Event_OnInit</a> ()</td></tr>
<tr class="separator:a4c1e54baa02bbed08b12937b677668d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc80a6cbe4a897a8ec6e513358a177c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a3bc80a6cbe4a897a8ec6e513358a177c">LogThis</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> fnc_name=&quot;n/a&quot;)</td></tr>
<tr class="separator:a3bc80a6cbe4a897a8ec6e513358a177c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a922713ef45dbdf415dfd40a03ed35e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a9a922713ef45dbdf415dfd40a03ed35e">LogThisWarning</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> fnc_name=&quot;n/a&quot;)</td></tr>
<tr class="separator:a9a922713ef45dbdf415dfd40a03ed35e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad029eba71a88848526535a58964060c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#ad029eba71a88848526535a58964060c1">LogThisError</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> msg, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> fnc_name=&quot;n/a&quot;)</td></tr>
<tr class="separator:ad029eba71a88848526535a58964060c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31579cd4f396c49b4589de3740a3e71d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a31579cd4f396c49b4589de3740a3e71d">GetCompName</a> ()</td></tr>
<tr class="separator:a31579cd4f396c49b4589de3740a3e71d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab070e3dc8b2d38222bb12aa71e281005"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#ab070e3dc8b2d38222bb12aa71e281005">GetCompType</a> ()</td></tr>
<tr class="separator:ab070e3dc8b2d38222bb12aa71e281005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd27cdc091125605441eeaae99347983"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#afd27cdc091125605441eeaae99347983">Event_OnItemAttached</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> slot_name)</td></tr>
<tr class="separator:afd27cdc091125605441eeaae99347983"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a517a26e50d7783310cf7e4bf5aaa504c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a517a26e50d7783310cf7e4bf5aaa504c">Event_OnItemDetached</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> slot_name)</td></tr>
<tr class="separator:a517a26e50d7783310cf7e4bf5aaa504c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1a6f231b9eb806b8a46c2bed8fa892"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#aec1a6f231b9eb806b8a46c2bed8fa892">DebugBBoxDraw</a> ()</td></tr>
<tr class="separator:aec1a6f231b9eb806b8a46c2bed8fa892"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3152e6dd5705d984ae545d80c87801a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#af3152e6dd5705d984ae545d80c87801a">DebugBBoxSetColor</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color)</td></tr>
<tr class="separator:af3152e6dd5705d984ae545d80c87801a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a3e27bcd3dabebeeaa56dbc7ad00e03"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a8a3e27bcd3dabebeeaa56dbc7ad00e03">DebugBBoxDelete</a> ()</td></tr>
<tr class="separator:a8a3e27bcd3dabebeeaa56dbc7ad00e03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3186bc73939a90cfe199f08d1cf5eb7"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#ab3186bc73939a90cfe199f08d1cf5eb7">DebugDirectionDraw</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> distance=1)</td></tr>
<tr class="separator:ab3186bc73939a90cfe199f08d1cf5eb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacf8714c0f3fbd41f8bbd12c574adc9d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#aacf8714c0f3fbd41f8bbd12c574adc9d">DebugDirectionDelete</a> ()</td></tr>
<tr class="separator:aacf8714c0f3fbd41f8bbd12c574adc9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa79b0aefb10d27915938a76a3568fab4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#aa79b0aefb10d27915938a76a3568fab4">OnDrawing</a> ()</td></tr>
<tr class="separator:aa79b0aefb10d27915938a76a3568fab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:af3555d9b46012f613d42260d6facbf2b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#af3555d9b46012f613d42260d6facbf2b">Init</a> ()</td></tr>
<tr class="separator:af3555d9b46012f613d42260d6facbf2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a14e38704f3fea42a648890117ed740"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a4a14e38704f3fea42a648890117ed740">GetNameByType</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> comp_type)</td></tr>
<tr class="separator:a4a14e38704f3fea42a648890117ed740"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87e5c52fb158bcefc8cce4c26ec45de3"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a87e5c52fb158bcefc8cce4c26ec45de3">IsTypeExist</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> comp_type)</td></tr>
<tr class="separator:a87e5c52fb158bcefc8cce4c26ec45de3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ad7e91364a17de0273b056d7fa5dbd0"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a2ad7e91364a17de0273b056d7fa5dbd0">LogErrorBadCompType</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> comp_type, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> fnc_name)</td></tr>
<tr class="separator:a2ad7e91364a17de0273b056d7fa5dbd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f666e77e1ed854010db630076beb100"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a2f666e77e1ed854010db630076beb100">LogWarningAlredyExist</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> comp_type, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> fnc_name)</td></tr>
<tr class="separator:a2f666e77e1ed854010db630076beb100"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:adf8ead7fb522b7c0206c25c5d3919603"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#adf8ead7fb522b7c0206c25c5d3919603">m_ThisEntityAI</a></td></tr>
<tr class="separator:adf8ead7fb522b7c0206c25c5d3919603"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a849602bf12e8fb4e411cd245c62bb4"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a2a849602bf12e8fb4e411cd245c62bb4">m_DebugShapeBBox</a></td></tr>
<tr class="separator:a2a849602bf12e8fb4e411cd245c62bb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63efa0559bf91009ab4cbcc31e7dde21"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a63efa0559bf91009ab4cbcc31e7dde21">m_DebugShapeDirection</a></td></tr>
<tr class="separator:a63efa0559bf91009ab4cbcc31e7dde21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c207ce283f46aa4dbfc7196d4e84047"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a3c207ce283f46aa4dbfc7196d4e84047">m_DebugShapeDirectionDist</a></td></tr>
<tr class="separator:a3c207ce283f46aa4dbfc7196d4e84047"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a4f2a72176133edbab717f4a3f63705e2"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d00/class_component.html#a4f2a72176133edbab717f4a3f63705e2">m_CompNames</a> [<a class="el" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a>]</td></tr>
<tr class="separator:a4f2a72176133edbab717f4a3f63705e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00015">15</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a4d9b21cf45deed622646e5bca66d8ead" name="a4d9b21cf45deed622646e5bca66d8ead"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d9b21cf45deed622646e5bca66d8ead">&#9670;&#160;</a></span>DebugBBoxDelete() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::DebugBBoxDelete </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a3e27bcd3dabebeeaa56dbc7ad00e03" name="a8a3e27bcd3dabebeeaa56dbc7ad00e03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a3e27bcd3dabebeeaa56dbc7ad00e03">&#9670;&#160;</a></span>DebugBBoxDelete() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Component::DebugBBoxDelete </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html#l00042">42</a> of file <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a>.</p>

</div>
</div>
<a id="ad5562ea7f26c779ac3e172f26680f19d" name="ad5562ea7f26c779ac3e172f26680f19d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5562ea7f26c779ac3e172f26680f19d">&#9670;&#160;</a></span>DebugBBoxDraw() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> Component::DebugBBoxDraw </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aec1a6f231b9eb806b8a46c2bed8fa892" name="aec1a6f231b9eb806b8a46c2bed8fa892"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec1a6f231b9eb806b8a46c2bed8fa892">&#9670;&#160;</a></span>DebugBBoxDraw() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> Component::DebugBBoxDraw </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html#l00009">9</a> of file <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a>.</p>

</div>
</div>
<a id="ad98dfbb8e568e47addba3eceea7bc427" name="ad98dfbb8e568e47addba3eceea7bc427"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad98dfbb8e568e47addba3eceea7bc427">&#9670;&#160;</a></span>DebugBBoxSetColor() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::DebugBBoxSetColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af3152e6dd5705d984ae545d80c87801a" name="af3152e6dd5705d984ae545d80c87801a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3152e6dd5705d984ae545d80c87801a">&#9670;&#160;</a></span>DebugBBoxSetColor() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Component::DebugBBoxSetColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html#l00033">33</a> of file <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a>.</p>

</div>
</div>
<a id="a4c26bd31eb4e6499f025004e4e436b8d" name="a4c26bd31eb4e6499f025004e4e436b8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c26bd31eb4e6499f025004e4e436b8d">&#9670;&#160;</a></span>DebugDirectionDelete() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::DebugDirectionDelete </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aacf8714c0f3fbd41f8bbd12c574adc9d" name="aacf8714c0f3fbd41f8bbd12c574adc9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacf8714c0f3fbd41f8bbd12c574adc9d">&#9670;&#160;</a></span>DebugDirectionDelete() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Component::DebugDirectionDelete </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html#l00084">84</a> of file <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a>.</p>

</div>
</div>
<a id="a0ce6f8d36292057c76449c4ae23879ac" name="a0ce6f8d36292057c76449c4ae23879ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ce6f8d36292057c76449c4ae23879ac">&#9670;&#160;</a></span>DebugDirectionDraw() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> Component::DebugDirectionDraw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>distance</em> = <code>1</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3186bc73939a90cfe199f08d1cf5eb7" name="ab3186bc73939a90cfe199f08d1cf5eb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3186bc73939a90cfe199f08d1cf5eb7">&#9670;&#160;</a></span>DebugDirectionDraw() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> Component::DebugDirectionDraw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>distance</em> = <code>1</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html#l00061">61</a> of file <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a>.</p>

</div>
</div>
<a id="a8a0ca6bb78612558e4bb815f96e9ea0b" name="a8a0ca6bb78612558e4bb815f96e9ea0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a0ca6bb78612558e4bb815f96e9ea0b">&#9670;&#160;</a></span>DebugDirectionSetColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::DebugDirectionSetColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab471dd09761f1ae5c583894a24015e2f" name="ab471dd09761f1ae5c583894a24015e2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab471dd09761f1ae5c583894a24015e2f">&#9670;&#160;</a></span>Event_OnAwake()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::Event_OnAwake </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00102">102</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a789519192ed04a00ddd3696a4a1514db" name="a789519192ed04a00ddd3696a4a1514db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a789519192ed04a00ddd3696a4a1514db">&#9670;&#160;</a></span>Event_OnFrame()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::Event_OnFrame </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeSlice</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4c1e54baa02bbed08b12937b677668d2" name="a4c1e54baa02bbed08b12937b677668d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c1e54baa02bbed08b12937b677668d2">&#9670;&#160;</a></span>Event_OnInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::Event_OnInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00110">110</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="afd27cdc091125605441eeaae99347983" name="afd27cdc091125605441eeaae99347983"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd27cdc091125605441eeaae99347983">&#9670;&#160;</a></span>Event_OnItemAttached()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::Event_OnItemAttached </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>slot_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00158">158</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a517a26e50d7783310cf7e4bf5aaa504c" name="a517a26e50d7783310cf7e4bf5aaa504c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a517a26e50d7783310cf7e4bf5aaa504c">&#9670;&#160;</a></span>Event_OnItemDetached()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::Event_OnItemDetached </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>slot_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00167">167</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a31579cd4f396c49b4589de3740a3e71d" name="a31579cd4f396c49b4589de3740a3e71d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31579cd4f396c49b4589de3740a3e71d">&#9670;&#160;</a></span>GetCompName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Component::GetCompName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00142">142</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="ab070e3dc8b2d38222bb12aa71e281005" name="ab070e3dc8b2d38222bb12aa71e281005"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab070e3dc8b2d38222bb12aa71e281005">&#9670;&#160;</a></span>GetCompType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Component::GetCompType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00150">150</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a4a14e38704f3fea42a648890117ed740" name="a4a14e38704f3fea42a648890117ed740"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a14e38704f3fea42a648890117ed740">&#9670;&#160;</a></span>GetNameByType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Component::GetNameByType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>comp_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00048">48</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="af3555d9b46012f613d42260d6facbf2b" name="af3555d9b46012f613d42260d6facbf2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3555d9b46012f613d42260d6facbf2b">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Component::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00037">37</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a87e5c52fb158bcefc8cce4c26ec45de3" name="a87e5c52fb158bcefc8cce4c26ec45de3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87e5c52fb158bcefc8cce4c26ec45de3">&#9670;&#160;</a></span>IsTypeExist()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> Component::IsTypeExist </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>comp_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00062">62</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a2ad7e91364a17de0273b056d7fa5dbd0" name="a2ad7e91364a17de0273b056d7fa5dbd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ad7e91364a17de0273b056d7fa5dbd0">&#9670;&#160;</a></span>LogErrorBadCompType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Component::LogErrorBadCompType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>comp_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>fnc_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00076">76</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a3bc80a6cbe4a897a8ec6e513358a177c" name="a3bc80a6cbe4a897a8ec6e513358a177c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bc80a6cbe4a897a8ec6e513358a177c">&#9670;&#160;</a></span>LogThis()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::LogThis </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>fnc_name</em> = <code>&quot;n/a&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00118">118</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="ad029eba71a88848526535a58964060c1" name="ad029eba71a88848526535a58964060c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad029eba71a88848526535a58964060c1">&#9670;&#160;</a></span>LogThisError()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::LogThisError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>fnc_name</em> = <code>&quot;n/a&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00134">134</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a9a922713ef45dbdf415dfd40a03ed35e" name="a9a922713ef45dbdf415dfd40a03ed35e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a922713ef45dbdf415dfd40a03ed35e">&#9670;&#160;</a></span>LogThisWarning()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::LogThisWarning </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>msg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>fnc_name</em> = <code>&quot;n/a&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00126">126</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a2f666e77e1ed854010db630076beb100" name="a2f666e77e1ed854010db630076beb100"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f666e77e1ed854010db630076beb100">&#9670;&#160;</a></span>LogWarningAlredyExist()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void Component::LogWarningAlredyExist </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>comp_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>fnc_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00085">85</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="aa79b0aefb10d27915938a76a3568fab4" name="aa79b0aefb10d27915938a76a3568fab4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa79b0aefb10d27915938a76a3568fab4">&#9670;&#160;</a></span>OnDrawing()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::OnDrawing </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html#l00102">102</a> of file <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a>.</p>

</div>
</div>
<a id="a29c4142d146a766f3a38071262e362be" name="a29c4142d146a766f3a38071262e362be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29c4142d146a766f3a38071262e362be">&#9670;&#160;</a></span>SetParentEntityAI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Component::SetParentEntityAI </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00094">94</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a4f2a72176133edbab717f4a3f63705e2" name="a4f2a72176133edbab717f4a3f63705e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f2a72176133edbab717f4a3f63705e2">&#9670;&#160;</a></span>m_CompNames</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Component::m_CompNames[<a class="el" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a>]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00020">20</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<a id="a2a849602bf12e8fb4e411cd245c62bb4" name="a2a849602bf12e8fb4e411cd245c62bb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a849602bf12e8fb4e411cd245c62bb4">&#9670;&#160;</a></span>m_DebugShapeBBox</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> Component::m_DebugShapeBBox</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html#l00004">4</a> of file <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a>.</p>

</div>
</div>
<a id="a63efa0559bf91009ab4cbcc31e7dde21" name="a63efa0559bf91009ab4cbcc31e7dde21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63efa0559bf91009ab4cbcc31e7dde21">&#9670;&#160;</a></span>m_DebugShapeDirection</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> Component::m_DebugShapeDirection</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html#l00005">5</a> of file <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a>.</p>

</div>
</div>
<a id="a3c207ce283f46aa4dbfc7196d4e84047" name="a3c207ce283f46aa4dbfc7196d4e84047"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c207ce283f46aa4dbfc7196d4e84047">&#9670;&#160;</a></span>m_DebugShapeDirectionDist</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d4/dc3/classfloat.html">float</a> Component::m_DebugShapeDirectionDist</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html#l00006">6</a> of file <a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a>.</p>

</div>
</div>
<a id="adf8ead7fb522b7c0206c25c5d3919603" name="adf8ead7fb522b7c0206c25c5d3919603"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf8ead7fb522b7c0206c25c5d3919603">&#9670;&#160;</a></span>m_ThisEntityAI</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> Component::m_ThisEntityAI</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d31/_component_8c_source.html#l00024">24</a> of file <a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/3_Game/tools/<a class="el" href="../../d1/d31/_component_8c_source.html">Component.c</a></li>
<li>scripts/3_Game/tools/Component/<a class="el" href="../../de/dda/_component_entity_debug_8c_source.html">ComponentEntityDebug.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d00/class_component.html">Component</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
